import { animation, Component, _decorator } from 'cc';
const { ccclass, property } = _decorator;

@ccclass('Animator')
export class Animator extends Component {
    protected controller: animation.AnimationController = null!;
    start() {
        this.controller = this.node.getComponent(animation.AnimationController)!;
        this.playAni("idle");
    }

    playAni(type: string, callback?: Function, caller?: Component): void {
        this.controller.setValue(type, true)
        console.info("playAni", type, this.node.name, this.controller.getValue(type))
    }

    update(deltaTime: number) {

    }
}


